<?php

/********************
* Service Settings  *
********************/

		$wp_customize->add_section( 'service_section' , array(
			'title'      => __('Services', 'hotel-wp-lite' ),			 
			'description'=> __('First, create a page from home-page template, From Home page settings select the created page as static home page. Create Posts with featured image (service), title and content and select from post dropdown list below. Need unlimited Services and more Service templates Go Pro Version.', 'hotel-wp-lite' ),
			'panel' => 'theme_options',
		) );
			

		// background Alpha Color Picker setting
		$wp_customize->add_setting(
			'hotel_wp_option[service_section_background_color]',
			array(
				'default'     => '#ffffff',
				'type'        => 'option',			
				'transport'   => 'refresh',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		
		// background Alpha Color Picker control
		$wp_customize->add_control(
			new Hotel_WP_Alpha_Color_Control(
				$wp_customize,
				'hotel_wp_option[service_section_background_color]',
				array(
					'label'         =>  __('Section Background Color','hotel-wp-lite' ),
					'section'       => 'service_section',
					'settings'      => 'hotel_wp_option[service_section_background_color]',
					'show_opacity'  => true, // Optional.
					'palette'	=> hotel_wp_color_codes(),
				)
			)
		);			
		
		// service section title
		$wp_customize->add_setting( 'hotel_wp_option[service_section_title]' , array(
		'default'    => __('Services', 'hotel-wp-lite' ),
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));
		
		$wp_customize->add_control('hotel_wp_option[service_section_title]' , array(
		'label' => __('Section Title','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'text',
		) );
		
		$wp_customize->selective_refresh->add_partial( 'hotel_wp_option[service_section_title]', array(
			'selector' => '#service .section-title',
		) );
		
		// service section description
		$wp_customize->add_setting( 'hotel_wp_option[service_section_description]' , array(
		'default'    => '',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));
		
		$wp_customize->add_control('hotel_wp_option[service_section_description]' , array(
		'label' => __('Section Subtitle','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'text',
		) );
		
		
        $wp_customize->add_setting( 'service_label2', array(
			'sanitize_callback' => 'sanitize_text_field',
        ) );

        $wp_customize->add_control( new Hotel_WP_Label_Custom_control( $wp_customize, 'service_label2', array(
            'label'   => __('Select existing Posts with featured image (service), title and content','hotel-wp-lite' ),
            'section' => 'service_section',
        ) ) );			
		
		global $hotel_wp_all_posts;
		
		// post 1
		$wp_customize->add_setting( 'hotel_wp_option[service_cat]' , array(
		'default'    => '',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));

		$wp_customize->add_control('hotel_wp_option[service_cat]' , array(
		'label' => __('Select Post 1','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'select',
		'choices'=> $hotel_wp_all_posts, 
		) );
		
		// post 2
		$wp_customize->add_setting( 'hotel_wp_option[service_cat2]' , array(
		'default'    => '',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));

		$wp_customize->add_control('hotel_wp_option[service_cat2]' , array(
		'label' => __('Select Post 2','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'select',
		'choices'=> $hotel_wp_all_posts, 
		) );
		
		// post 3
		$wp_customize->add_setting( 'hotel_wp_option[service_cat3]' , array(
		'default'    => '',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));

		$wp_customize->add_control('hotel_wp_option[service_cat3]' , array(
		'label' => __('Select Post 3','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'select',
		'choices'=> $hotel_wp_all_posts, 
		) );									
		
		// post 4
		$wp_customize->add_setting( 'hotel_wp_option[service_cat4]' , array(
		'default'    => '',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));

		$wp_customize->add_control('hotel_wp_option[service_cat4]' , array(
		'label' => __('Select Post 4','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'select',
		'choices'=> $hotel_wp_all_posts, 
		) );
		
		// post 5
		$wp_customize->add_setting( 'hotel_wp_option[service_cat5]' , array(
		'default'    => '',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));

		$wp_customize->add_control('hotel_wp_option[service_cat5]' , array(
		'label' => __('Select Post 5','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'select',
		'choices'=> $hotel_wp_all_posts, 
		) );
		
		// post 6
		$wp_customize->add_setting( 'hotel_wp_option[service_cat6]' , array(
		'default'    => '',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=>'option'
		));

		$wp_customize->add_control('hotel_wp_option[service_cat6]' , array(
		'label' => __('Select Post 6','hotel-wp-lite' ),
		'section' => 'service_section',
		'type'=>'select',
		'choices'=> $hotel_wp_all_posts, 
		) );		

		// service section image
		$wp_customize->add_setting( 'hotel_wp_option[service_section_image]' , array(
		'default' => '',
		'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
		'type'=>'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'hotel_wp_option[service_section_image]' ,
		array(
		'label'          => __( 'Service Section Image', 'hotel-wp-lite' ),
		'description'=> __('Upload your background image. Important! Uncompressed images will increase your site loading time.','hotel-wp-lite'),
		'section'        => 'service_section',
		) )	);
		
		// service section repeater
		$wp_customize->add_setting( 'hotel_wp_option[service_section_image_repeat]', array(
			'default'        => 'no-repeat',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
		) );
		
		$wp_customize->add_control(
			'hotel_wp_option[service_section_image_repeat]', 
			array(
				'label'    => __( 'Background Repeat', 'hotel-wp-lite' ),
				'section'  => 'service_section',
				'settings' => 'hotel_wp_option[service_section_image_repeat]',
				'type'     => 'select',
				'choices'  => hotel_wp_background_style(),
			)
		);
